Какие браузеры учитывать при разработке сайта?

о_О

Доброго времени суток.
Начальник дал задание разработать сайт с адаптивной вёрсткой. И всё бы хорошо, но в задании значится поддержка браузеров версии IE 5.5 и выше, Opera 7 и выше, Mozilla Firefox 1.0+.

Я в шоке, но мне надо утром убедить его, что так делать нехорошо.

К примеру, с ходу я придумал о таких вещах:
- ie 5.5 вышел в 2000(!!!) году
- ie 9 не поддерживается многими ресурсами, потому что вышла ie11
- jquery (?) и другие библиотеки (да и сама адаптивная вёрстка) - бред в столь старых версиях (?)

Помогите, какие еще причины нужны для смены решения.
Подскажите, какие версии поддерживать сейчас реально.
  • Вопрос задан
  • 9584 просмотра
Решения вопроса 1
@xave
Гугл в своих сервисах отказался от поддержки IE8 еще прошлой осенью. А на IE5.5 ваш начальник предлагает делать адаптивный дизайн на таблицах, очевидно, если даже jquery минимально IE6 поддерживала.
Если бы вы были фрилансером, то просто бы за каждую более раннюю версию браузера умножали стоимость работы на 2, заказчики тогда сразу осознают, во сколько им обходится поддержка 0.01% аудитории и начинают вести себя более адекватно.
Ответ написан
Пригласить эксперта
Ответы на вопрос 10
Bandicoot
@Bandicoot
Вась-программист
Я включаю поддержку ie9+, в остальном только современные браузеры. А ваш начальник - самодур)
Ответ написан
Zippovich
@Zippovich
сплю, ем, сплю, ем, сплю, ем
А зачем адаптивная верстка на IE55? Он же десктопный. Да - начальнику скажите что все работает на IE55 - пусть попробует найти win95 c ней.
Ответ написан
Собственно, проясните, почему вы не хотите поддерживать эти браузеры? Как вы связываете JQuery и верстку вообще?
Пока все выглядит так будто вам просто лень это делать и вы ищете отмазки.
А взвешивая все за и против с точки зрения заказчика - это выглядело бы так:
1. Каждый новый браузер (не поддерживающий ни один из уже используемых стандартов) это увеличение расходов (P.S. ваша задача посчитать и сделать доклад, а решает уже пусть заказчик).
Возможно здесь стоит посчитать платежеспособность * количество этой аудитории.
2. Также не стоит забывать что любая современная верстка - это тени, прозрачности, округления, множество новых стилей. уменьшающих код и т.д. Для старых браузеров это означает использование множества картинок, кучи html-кода и для IE - фильтров.
Стоит задуматься какие компьютеры стоят у клиентов с такими браузерами. Возможно ваш сайт будет для них настолько тяжел, что они еле смогут его загрузить.
Эта самая распространенная ситуация, когда тестирование дизайна проводится на мощных машинах со старыми браузерами и вроде все работает нормально, но у реальных людей и компьютеры обычно старые (с новыми уже новые ОС поставляются).

Лучшим вариантом тут будет 2 дизайна с одинаковым функционалом (привет абстрагированию): первый (красивый) для большинства, второй (упрощенный, web 1.0) для запоздавших (а им и так все равно).
Ответ написан
pomeo
@pomeo
www.liveinternet.ru/stat/ru/browsers.html?period=year
ну ~2000 человек из 120млн пользуются IE5 так что придётся напрячься и поддержать ихний браузер =) Он ещё забыл что есть win 3.11 , не стоит забывать.
Ответ написан
opium
@opium
Просто люблю качественно работать
Вы приводите какие то совсем уж глупые аргументы, на месте заказчика я бы вас завернул бы уже после первых фраз за не профессионализм.
Надо заказчику всегда предлагать сделать то что он хочет и называть конкретную цену для этого и показывать долю браузеров.
Скажем сложно наверстать для IE 5.5 ну тогда это стоит в 10 раз дороже чем под хром, но и доля IE 5.5 скажем меньше десятой процента в интернете. Для заказчика вопрос цены куда более понятен, чем ваши отмазки. И что из того что ИЕ 5.5 сделали в двухтысячном году? Вон ядерную бомбу придумали больше чем с полсотни лет назад, но в военных действиях её тоже учитывают.
Какая мне разница что ИЕ9 не поддерживается многими ресурсами, если мной поддерживается то это как бы ещё и большое конкурентное преимущество.
Почему вдруг это стало бредом то, люди же верстают и ничего.
Ответ написан
@konstant2in
В: Помогите, какие еще причины нужны для смены решения?
О: Сложно дать совет не зная Вашего начальника, на я думаю, что можно попробовать анонимные угрозы по почте и по телефону. Это, возможно, будут самые убедительные доводы :)

В: Подскажите, какие версии поддерживать сейчас реально?
О: Это зависит от того, что за сайт нежен. Сайт выводящий призыв - "Летайте самолетами Аэрофлота" несложно сделать с поддержкой версий указанных в задании.
Ответ написан
@WEBIVAN
ИМХО - адекватно, ИЕ 9+, Последние ФФ и Хром, для СНГ еще Опера 12.
Ответ написан
iiil
@iiil
Инженер и вэб-дизайнер, рисую.
Я уже писал как-то, что бывают случаи, когда надо поддерживать ие6. Например, если работаете на Китай. Однако поддержка бывает разной. Лично я толкал бы мысль, что при использовании клиентом старых версий браузеров они видят контент частично: контакты, информацию о фирме, каталог (может достаточно даже приложенного pdf каталога).
А убеждать надо так: за поддержку старых браузеров мы напрягаем тех, кто использует новые. Они не могут использовать то, что уже привыкли использовать на других сайтах. Находя нового клиента с ие6, мы теряем одного с ие12 или последним хромом.
Сейчас у меня формула такая:
ie9 и выше, хром (последние версии), мозилла (последние), опера - Полная поддержка
ie7-ie8 - клиент должен видеть весь контент, если он не увидит градиент, скругленные углы или css3 анимацию - пусть так, но ничего не должно никуда залезать и так далее - все должно быть читаемо.
ниже ie7 - отдельная страница.
Ответ написан
virpool
@virpool
девелопер
Начальник, видать, просто нашёл в интернете "шаблон ТЗ" начала нулевых, коих великое множество и бездумно подредактировал (о чём ему стоило бы как-нибудь мягко намекнуть). И вообще я бы на вашем месте не заморачивался, т.к. вряд ли кто в здравом уме будет пытаться найти IE5.5 (привет Windows 2000/ME), чтобы попытаться проверить работоспособность :)
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы